Subject: FW: [manet] LUNAR

From: DANIEL BYRNE <[email-masked]>
Date: Mon, 15 Mar 2004 13:57:31 -0600

How is the data path created from the node that initiates the RREQ packet to
the target node that initiates the RREP packet?  Conceptually, I think I
understand that the RREP packet contains the necessary information to do
this, but I haven't made the connection yet.  Would it be possible to get an
example similar to the one given for a RREQ along with how the link is made?

Also, in step 0.a and step 1.e the statement "Allocate an unused "receiver
chosen" selector S...". Should the statement in 1.e be a new receiver chosen
selector S'?

Thanks

-----Original Message-----
From: DANIEL BYRNE 
Sent: Friday, March 12, 2004 6:05 PM
To: 'Christian Tschudin'
Cc: GEAN JOHNSON
Subject: RE: [manet] LUNAR

Our goal is to develop a hardware implementation of LUNAR.  We are writing
VHDL to be loaded initially on an FPGA to achieve this goal; although, we
have only just started the work.  We are trying to decipher the published C
code and the spec, but we have run into a few questions regarding the
wording of the LUNAR document and the software implementation.  Specifically
it is unclear how reply messages are handled, and how XRP is used to setup
dynamic links?  How does the orgininating node know when the path has been
completed?  etc. A document describing message formats would be fabulous.
Also, any informative documents on XRP and LUNAR in general would help us to
get started on the right path.

Thanks in advance for your help.

Daniel Byrne and Gean Johnson

-----Original Message-----
From: Christian Tschudin [mailto:[email-masked]]
Sent: Tuesday, February 24, 2004 9:27 AM
To: DANIEL BYRNE
Cc: 'Evgeny Osipov'
Subject: RE: [manet] LUNAR

Dear Daniel,

Evgeny forwarded your email to me and I'm delighted: Having a
an independent implementation of LUNAR is very useful and makes
a big difference! What are your plans with LUNAR?

I would like to quickly sketch our strategy and would be interested
to learn your views:

a) We have been working during the last year on a second version
   of LUNAR which

   - runs in Linux kernel space (2.4.x)

   - is ported to Windows
     (as an intermediate driver, identical code for protocol logic)

   - is ported to ns-2 (identical code for protocol logic)

   Now we are close to finalizing the package for public distribution.
   (There is also a version for Bluetooth, but it's more a hack, so
   it will probably not be included).

b) During this process we:

   - changed the XRP message format, which is now much easier
     to parse and generate

   - added a slight optimization to the protocol logic
     (setting up a bidirectional tunnel right away)

One thing I hope for is that we could coordinate the message
formats. It would be great if we envisaged inter-op tests between
the two LUNAR implementations, which is very helpful for ironing out
bugs.

Adopting the new message format should not be a big issue.
We would be very willing to share the spec and current code even
before we release the package to the public, so you don't incur
any delay.

Simulation results (which look good and competitive!) will be
available too, of course.

Kind regards, christian tschudin.

---
Christian Tschudin, University of Basel       http://cn.cs.unibas.ch/
Computer Science Dept, Bernoullistr. 16, CH - 4056 Basel, Switzerland

On Fri, 20 Feb 2004, DANIEL BYRNE wrote:

> We are developing a LUNAR implementation, not simulation, that is
> currently scheduled for beta release in 2 months.  This is not a
> simulation implementation, however.  I'd be interested in any data you'd
> be willing to share.
>
> Thanks,
>
> Daniel

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet